# PlotSquaredShopFlag.GroupFlag (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.external

## Class PlotSquaredShopFlag.GroupFlag

- java.lang.Object
- - com.intellectualcrafters.plot.flag.Flag<PlotSquaredShopFlag.Group>
  - - de.epiceric.shopchest.external.PlotSquaredShopFlag.GroupFlag

All Implemented Interfaces:
  com.intellectualcrafters.plot.util.StringComparison.StringComparable

Enclosing class:
  PlotSquaredShopFlag

    public class PlotSquaredShopFlag.GroupFlag
    extends com.intellectualcrafters.plot.flag.Flag<PlotSquaredShopFlag.Group>

### Constructor Summary

Constructors
Constructor and Description
`GroupFlag(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getValueDescription()`
`PlotSquaredShopFlag.Group` `parseValue(String s)`
`String` `valueToString(Object value)`

### Methods inherited from class com.intellectualcrafters.plot.flag.Flag

`getComparableString, getName, isReserved, isSet, register, reserve, toString, unreserve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroupFlag

    public GroupFlag(String name)

### Method Detail

#### valueToString

    public String valueToString(Object value)

Specified by:
  `valueToString` in class `com.intellectualcrafters.plot.flag.Flag<PlotSquaredShopFlag.Group>`

#### parseValue

    public PlotSquaredShopFlag.Group parseValue(String s)

Specified by:
  `parseValue` in class `com.intellectualcrafters.plot.flag.Flag<PlotSquaredShopFlag.Group>`

#### getValueDescription

    public String getValueDescription()

Specified by:
  `getValueDescription` in class `com.intellectualcrafters.plot.flag.Flag<PlotSquaredShopFlag.Group>`